Summary:       An AES encryption tool for tar/cpio
Name:          aespipe
Version:       2.3e
Release:       1%{?dist}%{?pext}
License:       GPL
Group:         Applications/System
Source0:       http://loop-aes.sourceforge.net/%{name}/%{name}-v%{version}.tar.bz2
Patch0:        %{name}-2.3e-bz2aespipe.patch
URL:           http://loop-aes.sourceforge.net/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Jari Ruusu <jariruusu@users.sourceforge.net>
Requires:      bzip2 gnupg sharutils
BuildRequires: gnupg


%description
Aespipe is an AES-encryption tool, reading from standard input and writing
to standard output. It can be used to create and restore encrypted tar or
cpio archives and loop-AES compatible encrypted disk images.


%prep
%setup -q -n %{name}-v%{version}
%patch0 -p1

%{__patch} -p0 < aes-GPL.diff


%build
%configure

%ifarch %{ix86}
%{__make} x86 %{?_smp_mflags}
%endif
%ifarch x86_64
%{__make} amd64 %{?_smp_mflags}
%endif


%check
%{__make} tests


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_mandir}/man1

%{__install} -m 0755 {%{name},bz2aespipe} ${RPM_BUILD_ROOT}%{_bindir}
%{__install} -m 0644 *.1                  ${RPM_BUILD_ROOT}%{_mandir}/man1


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog README
%{_bindir}/%{name}
%{_bindir}/bz2aespipe
%{_mandir}/man1/*.1*


%changelog
* Wed Jun 10 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2.3e-1
- New version (2.3e)

* Wed May 16 2007 peter.pramberger@member.fsf.org 2.3d-2
- created
